Subject: bug#1140: 23.0.60; RMAIL: undigestify-rmail-message weird output

From: Xavier Maillard <[email-masked]>
Date: Sat, 11 Oct 2008 02:00:40 +0200

With latest emacs (CVS), M-x undigestify-rmail-message is
producing weird output from perfectly valid mailman digest.

In fact, I have to M-x undigestify-rmail-message several times
before I can "browse" the messages.

When doing the first u-r-m,  I obtain three messages:

1. The TOC message
2. a new digest file (buggy)
3. A "footer" message

If I really want to read the different messages, I have to M-x
u-r-m on the second message. Sometimes it is even not enough and
I have to do it again.

The odd thing is that, the resulted messages are unanswerable
(pressing r lead to an error) except if I edit the (e) message to
reformat it correctly. 

I am pretty sure it was already the case with emacs 22.x if it
can help.

In GNU Emacs 23.0.60.12 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-10-10 on zogzog
configured using `configure  '--without-xft''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: en_US.UTF-8
  value of $LC_CTYPE: fr_FR.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: fr_FR.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: RMAIL Summary

Minor modes in effect:
  diff-auto-refine-mode: t
  rcirc-track-minor-mode: t
  eev-mode: t
  shell-dirtrack-mode: t
  jabber-activity-mode: t
  auto-insert-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  show-paren-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  recentf-mode: t
  icomplete-mode: t
  desktop-save-mode: t
  auto-image-file-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
[ D ESC [ D ESC [ D ESC [ D ESC [ D ESC [ D ESC [ D 
ESC [ D ESC [ D ESC [ D ESC [ D ESC [ D ESC [ D ESC 
[ D ESC [ D ESC [ D ESC [ C C-k ESC [ B ESC [ B C-a 
C-@ ESC [ B ESC [ B C-w ESC [ A RET C t x : SPC DEL 
ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B RET M s g : 
ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC 
[ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B 
ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC 
[ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B 
ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC 
[ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B 
ESC [ B ESC [ B ESC [ B ESC [ B - - - RET C a t e t 
DEL g r DEL o r y E m a c s SPC I n b o x C-x C-s C-x 
o d h C-x 1 7 5 9 j SPC SPC SPC SPC SPC SPC SPC SPC 
SPC SPC SPC C-x 1 C-l ESC x u n d i DEL DEL DEL DEL 
C-g ESC x r e p o TAB TAB r TAB RET

Recent messages:
scanning todo...done
scanning recent...done
scanning random...done
Computing summary lines...done
Quit
Making completion list...
Killing buffer *Completions*
Scanning for dabbrevs...100%
dabbrev-expand: No dynamic expansion for `undige' found
Quit

	Xavier
-- 
http://www.gnu.org
http://www.april.org
http://www.lolica.org